summaryrefslogtreecommitdiffstats
path: root/source/a/efibootmgr
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/efibootmgr')
-rwxr-xr-xsource/a/efibootmgr/efibootmgr.SlackBuild24
-rw-r--r--source/a/efibootmgr/slack-desc6
2 files changed, 18 insertions, 12 deletions
diff --git a/source/a/efibootmgr/efibootmgr.SlackBuild b/source/a/efibootmgr/efibootmgr.SlackBuild
index bf2e0d39d..cdcbcb2b4 100755
--- a/source/a/efibootmgr/efibootmgr.SlackBuild
+++ b/source/a/efibootmgr/efibootmgr.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,15 +20,16 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=efibootmgr
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$(uname -m) ;;
@@ -36,12 +37,17 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -62,7 +68,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -87,7 +92,8 @@ find . \
-exec chmod 644 {} \;
# Build:
-CFLAGS="$SLKCFLAGS" make || exit 1
+export EXTRA_CFLAGS="$SLKCFLAGS -fgnu89-inline"
+make || exit 1
# Install:
mkdir -p $PKG/usr/sbin
diff --git a/source/a/efibootmgr/slack-desc b/source/a/efibootmgr/slack-desc
index 953b4b2a1..dee525ac5 100644
--- a/source/a/efibootmgr/slack-desc
+++ b/source/a/efibootmgr/slack-desc
@@ -2,18 +2,18 @@
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
efibootmgr: efibootmgr (tool to modify UEFI boot entries)
efibootmgr:
efibootmgr: efibootmgr is a Linux userspace application to modify the Intel
-efibootmgr: Extensible Firmware Interface (EFI) Boot Manager. This application
+efibootmgr: Extensible Firmware Interface (EFI) Boot Manager. This application
efibootmgr: can create and destroy boot entries, change the boot order, change
efibootmgr: the next running boot option, and more.
efibootmgr:
-efibootmgr: Homepage: http://linux.dell.com/efibootmgr
+efibootmgr: Homepage: http://linux.dell.com/efibootmgr
efibootmgr:
efibootmgr:
efibootmgr: